Description

Supportanfrage

Ich habe das Problem, daß ich für verschiedene Projekte stets die Plugin-Description-Pfade unter "Tools" im "Configuration Editor"

manuell anpassen muß. Die erwähnten Projekte benutzen teilweise die gleichen Plugins, aber in verschiedenen Versionen, welche

mittlerweile z.T. inkompatibel miteinander sind.

Ist es möglich, den Editor direkt mit den passenden projektspezifischen Pfaden zu laden? Kann man den Plugin-Pfad bspw. in der

Projektdatei unterbringen? Oder kann man den Editor mit Command-Line-Parametern starten (ich sehe mit --help ein paar Hinweise

dazu)?

Lösung

Du hast die Möglichkeit mit dem Parameter --settings den Pfad zu einer *.cesettings Datei anzugeben.

Die XML Struktur kannst du dir zB. in der Default Settings-Datei im ADTF-Installations-Verzeichnis anschauen

${ADTF_DIR}/settings/adtf_configuration_editor.cesettings.

Am besten die Datei kopieren und anpassen, etwas anderes macht der CE auch nicht beim ersten Starten wird diese Datei in deinen

User Ordner nach .../AppData/Local/Digitalwerk/... kopiert.

In den Optionen im CE kannst du unten sehen welche Settings-Datei geladen wurde.

History

#1 - 2020-06-03 12:11 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::CE

#2 - 2020-06-03 13:08 - hidden

Hi Patrick,

du hast die Möglichkeit mit dem Parameter --settings den Pfad zu einer *.cesettings Datei anzugeben.

Die XML Struktur kannst du dir zB. in der Default Settings-Datei im ADTF-Installations-Verzeichnis anschauen

${ADTF_DIR}/settings/adtf_configuration_editor.cesettings.

Am besten die Datei kopieren und anpassen, etwas anderes macht der CE auch nicht beim ersten Starten wird diese Datei in deinen User Ordner

nach .../AppData/Local/Digitalwerk/... kopiert.

In den Optionen im CE kannst du unten sehen welche Settings-Datei geladen wurde.

Viele Grüße

Sebastian

#3 - 2020-06-03 13:08 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2020-06-03 14:35 - hidden

Super Tip, funktioniert. Danke.
Ticket kann geschlossen werden.

#5 - 2020-06-03 15:41 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Super! Freut mich zu hören.

#6 - 2020-06-08 10:39 - hidden

- Project changed from 11 to Public Support

- Subject changed from Frage zum Configuration Editor to Load CE with project specific plugins

- Description updated

- Private changed from Yes to No

#9 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
